OpenSCAD: Specchia la mesh

From FreeCAD Documentation
This page is a translated version of the page OpenSCAD MirrorMeshFeature and the translation is 25% complete.
Outdated translations are marked like this.
Other languages:

Specchia la mesh

Posizione nel menu
OpenSCAD → Specchia la mesh
Ambiente
OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Specchia di Part

Descrizione

Creates a new mirrored mesh object, mirrored about the selected axis.

Utilizzo

  1. Select the mesh object to be mirrored.
  2. Click the OpenSCAD → Mirror Mesh Feature... menu.
  3. Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
  • A new object is created and mirrored, the original object is rendered hidden.

Limitations

  • The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new mirrored object.

Notes

  • The function does not modify the existing mesh, but returns a new mesh.
  • The function can be accessed via Python:
import OpenSCADUtils
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to mirror
original_mesh = App.ActiveDocument.Mesh
mirrored_mesh = OpenSCADUtils.mirrormesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
Mesh.show(mirrored_mesh)